## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/transfers/{id}
cURL

```bash
POST https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

{
    "status": "cancelled"
}
```

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var transferUrl =
  "https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388";
var requestBody = {
  status: "cancelled",
};

dwolla.post(transfer_url, requestBody).then((res) => res.body.status); // => "cancelled"
```

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388'
request_body = {
  'status': 'cancelled'
}

transfer = app_token.post(transfer_url, request_body)
transfer.body['status'] # => 'cancelled'
```

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$transfersApi = new DwollaSwagger\TransfersApi($apiClient);

$transferUrl = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388';
$transfer = $transfersApi->update([
  'status' => 'cancelled',
], $transferUrl);

$transfer->status; # => "cancelled"
?>
```

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
transfer_url = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388'
request_body = {
      "status" => "cancelled",
}

transfer = app_token.post "#{transfer_url}", request_body
transfer.status # => "cancelled"
```

200

400

404

```json
{}
```

```json
{
  "code": "BadRequest",
  "message": "The request body contains bad syntax or is incomplete."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

#### Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

Accept

enum<string>

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

id

string

required

ID of transfer

#### Body

application/json

Parameters to cancel a transfer

status

string

required

Allowed value: `"cancelled"`

#### Response

200

application/vnd.dwolla.v1.hal+json

successful operation

The response is of type `object`.
